package com.clx.performance.vo.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 是否需要监装结果VO
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class OrderChildLoadRangeCheckResultVO {

    @ApiModelProperty(value = "是否需要弹信息 0 不需要 1 需要", example = "0")
    private Integer needAlert;
    @ApiModelProperty(value = "错误码", example = "-1")
    private Integer code;
    @ApiModelProperty(value = "错误信息", example = "错误")
    private String msg;

}